{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Login</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                {% if user.is_authenticated %}
                    <form method="post" action="{% url 'logout' %}">
                        {% csrf_token %}
                        <button type="submit">Logout</button>
                    </form>
                {% else %}
                    <h1>Login</h1>
                    <form method="post">
                        {% csrf_token %} {{ form.as_p }}
                        <button type="submit">Login</button>
                    </form>
                {% endif %}
            </div>
        </main>
    </body>
</html>
